defmodule Verba.Inflection do

  # Takes a stem and a list of endings and returns a list containing the stem
  # combined with each ending.
  @spec stem_with_endings(String.t(), [String.t()]) :: [String.t()]
  def stem_with_endings(stem, [head | tail]) do
    [stem <> head | stem_with_endings(stem, tail)]
  end

  def stem_with_endings(_, []) do
    []
  end
end
