defmodule Verba.MixProject do
  use Mix.Project

  def project do
    [
      app: :verba,
      name: "Verba",
      version: "0.4.0",
      description: description(),
      elixir: "~> 1.7",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      package: package(),
    ]
  end

  defp package do
    [
      name: "verba",
      maintainers: ["Christopher Burg"],
      licenses: ["MIT"],
      links: %{"Repository" => "https://gitlab.hammerfistindustries.com/ChristopherBurg/elixir-verba"},
    ]
  end

  defp description do
    """
    A library for working with Latin words.
    """
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      # {:dep_from_hexpm, "~> 0.3.0"},
      # {:dep_from_git, git: "https://github.com/elixir-lang/my_dep.git", tag: "0.1.0"},
      {:ex_doc, "~> 0.19", only: :dev, runtime: false},
    ]
  end
end
